; Available options, shown with the default values.

; Your program name, for example, "GAIM", "Freemind", "OpenOffice", etc.
; --> REQUIRED <--
;ProgramName=

; The executable to run, found in ProgramDir
; --> REQUIRED <--
;ProgramExe=

; The directory to find your application in
;ProgramDir=.\App\{ProgramName}

; Command-line arguments to send to your application
;ProgramParams=

; Set this value to true if you need to hide the DOS window (in the case of a JAVA app, for example)
;HideWindow=false

; Splash screen to show for a few seconds while launching your application.  If
; you are launching a big app you should app you should probably set this
;    - set to disabled for no splash image
;    - comment out to use the default image
;    - set to the name of your splash image found in Config\
;SplashScreen=

; Does the application require local administrator rights?
;AdminRequired=false

; Redirect writes to \Documents and Settings\{username}\ to Data\UserProfile?
;  WARNING: This is dangerous because it redirects all writes and reads for all
;           running applications.  This could result in corrupt data and/or
;           programs crashing.
;RedirectUserProfile=false

; Setting RegLicenseCompany will replace the string %LICENSECOMPANY% in your
;  RegKeys.reg file with this value
;RegLicenseCompany=

; Setting RegLicenseName will replace the string %LICENSENAME% in your
;   RegKeys.reg file with this value.
;RegLicenseName=

; Setting RegLicenseKey will replace the string %LICENSEKEY% in your
;  RegKeys.reg file with this value.
;RegLicenseKey=

; The registry file to read reg keys from. If your application needs to keep
;   track of registry keys, put them all in this file in REGEDIT4 format and
;   the launcher will take care of importing/exporting them automatically.
;RegFile=Config\RegKeys.reg

; If you need to preload any DLLS, make a RegDll{1-10} variable and put the name
;   as the value.  For example:
;
;  RegDll1=first.dll
;  RegDll2=second.dll
;  RegDll3=third.dll
;RegDll1=

; If you need to keep track of any files on the system while your program is
;   running, make SettingsFile{1-10} variables and put the full path as the 
;   value.  For example:
;
;  SettingsFile1=C:\Documents and Settings\myname\Desktop\file1.txt
;  SettingsFile2=C:\temp\file2.dat
;  SettingsFile3=C:\Program Files\yay\happyfile.exe
;SettingsFile1=

; If you need to keep track of any directories on the system while your program
;   is running, make SettingsDir{1-10} variables and put the full path as the 
;   value.  For example:
;
;  SettingsDir1=C:\temp\program
;  SettingsDir2=C:\Windows\mydll.dll
;  SettingsDir3=C:\Program Files\yay
;SettingsDir1=

; If you need to set up any environment variables set them here my making an
;   EnvVar{1-10} variable and setting the variable=value as the value.
;   NOTE:  If you need to use variables already set up, you can put them in
;          the value. Check out the PATH example to see how this works.
;
;   For example:
;
;  EnvVar1=PATH=..\jre\bin;%PATH%
;  EnvVar2=CLASSPATH=lib\myjavaclass.jar;lib\myotherclass.jar
;  EnvVar3=FAVORITE_DIR=C:\banana
;EnvVar1=

[PAL]
ProgramName=Freemind
ProgramExe=java
ProgramDir=..\..\..\jre\bin
ProgramParams=freemind.main.FreeMindStarter
HideWindow=true

EnvVar1=PATH=%PATH%;..\..\..\jre\bin
EnvVar2=CLASSPATH=lib\freemind.jar;lib\commons-lang-2.0.jar;lib\forms-1.0.5.jar;lib\jibx\jibx-run.jar;lib\jibx\xpp3.jar;lib\bindings.jar
SplashScreen=disabled ;there is already a splash screen
SettingsDir1=C:\Documents and Settings\%USERNAME%\.freemind
